Package org.apache.wiki.providers

## Class BasicAttachmentProvider.AttachmentVersionFilter

- java.lang.Object
- - org.apache.wiki.providers.BasicAttachmentProvider.AttachmentVersionFilter

All Implemented Interfaces:
  `java.io.FilenameFilter`

Enclosing class:
  BasicAttachmentProvider

    public static class BasicAttachmentProvider.AttachmentVersionFilter
    extends java.lang.Object
    implements java.io.FilenameFilter

Accepts only files that are actual versions, no control files.

### Constructor Summary

Constructors
`AttachmentVersionFilter()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `accept​(java.io.File dir, java.lang.String name)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AttachmentVersionFilter

    public AttachmentVersionFilter()

### Method Detail

#### accept

    public boolean accept​(java.io.File dir,
                          java.lang.String name)

Specified by:
  `accept` in interface `java.io.FilenameFilter`